Index: /trunk/var/www/info/alkis/alkisinlayausk.php
===================================================================
--- /trunk/var/www/info/alkis/alkisinlayausk.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisinlayausk.php	(revision 60)
@@ -1,20 +1,25 @@
 <?php
-/*	alkisausk.php
+/*	alkisinlayausk.php
 
 	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
-	Dies Programm wird aus dem Mapserver-Template (FeatureInfo) aufgerufen.
-	Parameter:&gkz, &gml_id (optional &id)
+	Dies Programm wird in einen iFrame im Mapserver-Template (FeatureInfo) geladen.
+	Parameter:&gkz, &gml_id
 	Dies Programm gibt einen kurzen Ueberblick zum Flurstueck.
 	Eigentuemer ohne Adresse.
 	Fuer detaillierte Angaben wird zum GB- oder FS-Nachweis verlinkt.
+	Dies ist eine Variante von alkisausk.ph 
+	 welches als vollstaendige Seite aufgerufen wird.
 
 	Version:
-		11.10.2010  Umbau alkisausk zu inlay-Version
+	11.10.2010  Umbau alkisausk zu inlay-Version
+	12.10.2010  korrekturen
+	14.12.2010  Pfad zur Conf
 		
-	ToDo:  Eigentum evtl. rausnehmen (Platz im iFrame?)
+	ToDo:  Link im neuen Fenster erzwingen (Javascript?), statt _blank = tab
 */
 ini_set('error_reporting', 'E_ALL');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -39,7 +44,5 @@
 <?php
 $gmlid = isset($_GET["gmlid"]) ? $_GET["gmlid"] : 0;
-$gkz=urldecode($_REQUEST["gkz"]);
 $id = isset($_GET["id"]) ? $_GET["id"] : "n";
-$dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=".$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) {echo "<br>Fehler beim Verbinden der DB.\n<br>";}
@@ -119,5 +122,4 @@
 $resg=pg_query($con,$sql);
 if (!$resg) echo "\n<p class='err'>Keine Buchungen.<br>\nSQL= ".$sql."</p>\n";
-$j=0; // Z.Blatt
 while($rowg = pg_fetch_array($resg)) {
 	$beznam=$rowg["bezeichnung"];
@@ -171,5 +173,5 @@
 
 		// Ausgabe Name in Function
-		$n = eigentuemer($con, $gkz, $idanzeige, $rowg["gml_id"], false); // hier ohne Adressen
+		$n = eigentuemer($con, $gkz, false, $rowg["gml_id"], false); // hier ohne Adressen
 
 		if ($n == 0) { // keine Namensnummer, kein Eigentuemer
@@ -179,5 +181,4 @@
 		}
 	}
-	$j++;
 }
 
Index: /trunk/var/www/info/alkis/alkisrelationen.php
===================================================================
--- /trunk/var/www/info/alkis/alkisrelationen.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisrelationen.php	(revision 60)
@@ -8,11 +8,11 @@
 
 	Version:
-	30.08.2010	$style=ALKIS entfernt, alles Kompakt
-	02.09.2010  Mit Icons
-
+	01.10.2010  htmlentities $otyp
+	14.12.2010  Pfad zur Conf
 */
 ini_set('error_reporting', 'E_ALL');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -34,9 +34,9 @@
 <body>
 <?php
-$gkz=urldecode($_REQUEST["gkz"]);
 $gmlid=isset($_GET["gmlid"]) ? $_GET["gmlid"] : 0;
 $otyp=isset($_GET["otyp"]) ? $_GET["otyp"] : "Objekt";
-$dbname = 'alkis05' . $gkz;
+$otyp=htmlentities($otyp, ENT_QUOTES, "UTF-8");
 $con = pg_connect("host=".$dbhost." port=".$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
 // Balken
@@ -47,5 +47,4 @@
 } else {
 	echo "\n<p>von ALKIS-".$otyp."</p>";
-
 	echo "<p>gml_id =</p>";
 	echo "\n\n<h3 title='Die gml_is ist global eindeutig'>".$gmlid."</h3>";
Index: /trunk/var/www/info/alkis/alkisbestnw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisbestnw.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisbestnw.php	(revision 60)
@@ -6,10 +6,7 @@
 
 	Version:
-	31.08.2010	$style=ALKIS entfernt, alles Kompakt
-	02.09.2010  Mit Icons
-	06.09.2010  Schluessel anschaltbar
-	08.09.2010  berechtigte GB-BlÃ€tter an fiktivem Blatt auflisten
 	14.09.2010  Grundbuch unter Flurstueck, BVNR in Tabelle anzeigen und als Sprungmarke
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt
+	14.12.2010  Pfad zur Conf
 
 	ToDo:
@@ -19,5 +16,6 @@
 ini_set('error_reporting', 'E_ALL');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -38,12 +36,10 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Grundbuch.ico">
 	<style type='text/css' media='print'>
-		.noprint { visibility: hidden;}
+		.noprint {visibility: hidden;}
 	</style>
 </head>
 <body>
 <?php
-$gkz=urldecode($_REQUEST["gkz"]);
 $gmlid=urldecode($_REQUEST["gmlid"]);
-
 $id = isset($_GET["id"]) ? $_GET["id"] : "n";
 if ($id == "j") {
@@ -58,6 +54,4 @@
 	$showkey=false;
 }
-
-$dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=".$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
@@ -125,5 +119,9 @@
 	echo "\n<h3><img src='ico/Eigentuemer_2.ico' width='16' height='16' alt=''> Angaben zum Eigentum</h3>\n";
 
-	$n = eigentuemer($con, $gkz, $idanzeige, $gmlid, true); // hier mit Adressen
+	// HIER MIT Adressen.
+	// Im offiziellen ALKIS-Buchnachweis hier ohne Adressen.
+	// Weglassen damit es uebersichtlicher wird?
+	// Doppelte Adressen (alt/neu?): Konverter-Fehler oder bestimmtes Kennzeichen?
+	$n = eigentuemer($con, $gkz, $idanzeige, $gmlid, true);
 
 	if ($n == 0) { // keine Namensnummer, kein Eigentuemer
@@ -156,5 +154,5 @@
 	echo "\n\t<td class='head' title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'><span class='wichtig'>Flurst.</span></td>";
 	echo "\n\t<td class='head fla'>Fl&auml;che</td>"; // 7
-	echo "\n\t<td class='head nwlink' title='Link: weitere Auskunft'>weit. Auskunft</td>";
+	echo "\n\t<td class='head nwlink noprint' title='Link: weitere Auskunft'>weit. Auskunft</td>";
 echo "\n</tr>";
 
@@ -431,5 +429,5 @@
 				echo "\n\t<td class='head'>BVNR</td>"; // Neu
 				echo "\n\t<td class='head'>Buchungsart</td>"; // Neu
-				echo "\n\t<td class='head nwlink'>Weitere Auskunft</td>";
+				echo "\n\t<td class='head nwlink noprint'>Weitere Auskunft</td>";
 			echo "\n</tr>";
 		}
Index: /trunk/var/www/info/alkis/alkisausk.php
===================================================================
--- /trunk/var/www/info/alkis/alkisausk.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisausk.php	(revision 60)
@@ -8,18 +8,15 @@
 	Eigentuemer ohne Adresse.
 	Fuer detaillierte Angaben wird zum GB- oder FS-Nachweis verlinkt.
+	Siehe auch alkisinlayausk.php - eine Variante für den Einbau in einen iFrame
 
 	Version:
-		28.05.2010	Eigentümerausgabe in einer Function
-		27.08.2010	Erweiterung um Link zu Gebaeudenachweis der WhereGroup
-		31.08.2010	$style=ALKIS entfernt, alles Kompakt
-		02.09.2010  Mit Icons
-		07.09.2010  Schluessel anschaltbar
-		15.09.2010  Function "buchungsart" durch JOIN ersetzt
-		17.09.2010  Authentifizierung Konfigurierbar
+	15.09.2010  Function "buchungsart" durch JOIN ersetzt
+	17.09.2010  Authentifizierung Konfigurierbar
+	14.12.2010  Pfad zur Conf
 */
 ini_set('error_reporting', 'E_ALL');
 session_start();
 $gkz=urldecode($_REQUEST["gkz"]);
-require_once(dirname(__FILE__)."../alkis_conf_location.php");
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -46,5 +43,4 @@
 <?php
 $gmlid = isset($_GET["gmlid"]) ? $_GET["gmlid"] : 0;
-
 $id = isset($_GET["id"]) ? $_GET["id"] : "n";
 if ($id == "j") {
@@ -59,5 +55,4 @@
 	$showkey=false;
 }
-
 $con = pg_connect("host=".$dbhost." port=".$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
 if (!$con) {echo "<br>Fehler beim Verbinden der DB.\n<br>";}
Index: /trunk/var/www/info/alkis/alkisnamstruk.php
===================================================================
--- /trunk/var/www/info/alkis/alkisnamstruk.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisnamstruk.php	(revision 60)
@@ -6,15 +6,15 @@
 
 	Version:
-	30.08.2010	$style=ALKIS entfernt, alles Kompakt
-	02.09.2010  Mit Icons
 	06.09.2010  Schluessel anschaltbar
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt, Tabelle GB einzeilig
+	14.12.2010  Pfad zur Conf
 
 	ToDo: 
-	Sortierung der Grundbücher zum Namen
+	Sortierung der GrundbÃŒcher zum Namen
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -35,5 +35,5 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Eigentuemer_2.ico">
 	<style type='text/css' media='print'>
-		.noprint { visibility: hidden;}
+		.noprint {visibility: hidden;}
 	</style>
 </head>
@@ -41,5 +41,4 @@
 <?php
 $gmlid=urldecode($_REQUEST["gmlid"]);
-$gkz=urldecode($_REQUEST["gkz"]);
 $id = isset($_GET["id"]) ? $_GET["id"] : "n";
 if ($id == "j") {
@@ -54,6 +53,6 @@
 	$showkey=false;
 }
-$dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=".$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
 // Balken
@@ -127,5 +126,5 @@
 	echo "\n<hr>\n<h3><img src='ico/Grundbuch_zu.ico' width='16' height='16' alt=''> Grundb&uuml;cher</h3>\n";
 	// person <benennt< namensnummer >istBestandteilVon>                Buchungsblatt
-	//                               >bestehtAusRechtsverhaeltnissenZu> namensnummer   (Nebenzweig/Sonderfälle?)
+	//                               >bestehtAusRechtsverhaeltnissenZu> namensnummer   (Nebenzweig/SonderfÃ€lle?)
 
 	$sql ="SELECT n.gml_id AS gml_n, n.laufendenummernachdin1421 AS lfd, n.zaehler, n.nenner, ";
@@ -155,5 +154,5 @@
 		echo "\n\t<td class='head'>Namensnummer</td>";
 		echo "\n\t<td class='head'>Anteil</td>";
-		echo "\n\t<td class='head nwlink' title='Link: weitere Auskunft'>weit. Auskunft</td>";
+		echo "\n\t<td class='head nwlink noprint' title='Link: weitere Auskunft'>weit. Auskunft</td>";
 	echo "\n</tr>";
 
@@ -221,5 +220,5 @@
 		echo "\n</tr>";
 		// +++ >bestehtAusRechtsverhaeltnissenZu> namensnummer ??
-		//     z.B. eine Namennummer "Erbengemeinschaft" zeigt auf Namensnummern mit Eigentümern
+		//     z.B. eine Namennummer "Erbengemeinschaft" zeigt auf Namensnummern mit EigentÃŒmern
 		$i++;
 	}
Index: /trunk/var/www/info/alkis/alkisgebaeudenw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisgebaeudenw.php	(revision 60)
@@ -4,16 +4,13 @@
 
 	Version:
-	27.08.2010  von WhereGroup uebernommen
-	31.08.2010  Link zum FS-NW, Lage
-	01.09.2010  RLP-Daten: keine Relation Nebengebaeude->LagePseudonummer
-					Spalte lfd.-Nr raus wegen Verwechslungsgefhr mit lfd-Nr.-Nebengebaeuude
-	02.09.2010  Mit Icons
-	06.09.2010  Kennzeichen-Rahmenfarbe, Schluessel anschaltbar
 	15.09.2010  Function "buchungsart" durch JOIN ersetzt
 	21.09.2010  vergessenen Parameter &style und Kommentar entfernt
+	01.10.2010  Geschoss-Anzahl
+	14.12.2010  Pfad zur Conf
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -34,10 +31,9 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Haus.ico">
 	<style type='text/css' media='print'>
-		.noprint { visibility: hidden;}
+		.noprint {visibility: hidden;}
 	</style>
 </head>
 <body>
 <?php
-$gkz=urldecode($_REQUEST["gkz"]);
 $gmlid=urldecode($_REQUEST["gmlid"]);
 $id = isset($_GET["id"]) ? $_GET["id"] : "n";
@@ -53,6 +49,6 @@
 	$showkey=false;
 }
-$dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
 // Flurstueck
@@ -124,5 +120,5 @@
 
 // G e b a e u d e
-$sqlg ="SELECT g.gml_id, g.name, g.description, g.bauweise, g.gebaeudefunktion, ";
+$sqlg ="SELECT g.gml_id, g.name, g.description, g.bauweise, g.gebaeudefunktion, g.anzahlderoberirdischengeschosse AS aog, ";
 $sqlg.=" h.bauweise_beschreibung, u.bezeichner, v.beziehungsart, v.beziehung_zu, l.hausnummer, ";
 
@@ -180,11 +176,12 @@
 	// Header
 	echo "\n<tr>\n";
-		//echo "\n\t<td class='head' title='laufende Nummer'>Lfd. Nr.</td>"; // 1
-		echo "\n\t<td class='head' title='ggf. Hausnummer und/oder Geb&auml;udename'>Nr/Name</td>"; // 2
-		echo "\n\t<td class='head fla' title='Schnittsfl&auml;che'>Fl&auml;che</td>"; // 3
+		//echo "\n\t<td class='head' title='laufende Nummer'>Lfd. Nr.</td>";
+		echo "\n\t<td class='head' title='ggf. Hausnummer und/oder Geb&auml;udename'>Nr/Name</td>";
+		echo "\n\t<td class='head fla' title='Schnittsfl&auml;che'>Fl&auml;che</td>";
 		echo "\n\t<td class='head' title='Geb&auml;udefl&auml;che'>&nbsp;</td>";
+		echo "\n\t<td class='head' title='Anzahl oberirdischer Geschosse'>Gesch.</td>";
 		echo "\n\t<td class='head' title='Geb&auml;udefunktion ist die zum Zeitpunkt der Erhebung vorherrschend funktionale Bedeutung des Geb&auml;udes'>Funktion</td>";
-		echo "\n\t<td class='head' title='Bauweise (Schl&uuml;ssel und Beschreibung)'>Bauweise</td>"; // 5
-		echo "\n\t<td class='head nwlink' title='Typ von .. und Link zur Lagebezeichnung'>Lage</td>"; // 6
+		echo "\n\t<td class='head' title='Bauweise (Schl&uuml;ssel und Beschreibung)'>Bauweise</td>";
+		echo "\n\t<td class='head nwlink' title='Typ von .. und Link zur Lagebezeichnung'>Lage</td>";
 	echo "\n</tr>";
 	// Body
@@ -193,10 +190,10 @@
 		$gebflsum = $gebflsum + $rowg["schnittflae"];		
 		echo "\n<tr>";
-			//echo "\n\t<td>".$gebnr."</td>"; // 1
 			echo "\n\t<td>".$rowg["hausnummer"]."&nbsp;".$rowg["name"];
 				if ($idanzeige) {
 					linkgml($gkz, $rowg["gml_id"], "Geb&auml;ude");
 				}	
-			echo "</td>"; // 2
+			echo "</td>";
+
 			if ($rowg["drin"] == "t") { // 3 komplett enthalten
 				echo "\n\t<td class='fla'>".$rowg["schnittflae"]." m&#178;</td>"; 
@@ -211,23 +208,33 @@
 				}
 			}
+
+			echo "\n\t<td>".$rowg["aog"]."</td>";
+
 			echo "\n\t<td>";
 			if ($showkey) {
 				echo "<span class='key'>".$rowg["gebaeudefunktion"]."</span>&nbsp;";
 			}
-			echo $rowg["bezeichner"]."</td>"; // 4
+			echo $rowg["bezeichner"]."</td>";
+
 			echo "\n\t<td>";
 			if ($showkey) {
 				echo "<span class='key'>".$rowg["bauweise"]."</span>&nbsp;";
 			}
-			echo $rowg["bauweise_beschreibung"]."</td>"; // 5
+			echo $rowg["bauweise_beschreibung"]."</td>";
+
 			echo "\n\t<td class='nwlink noprint'>";
 			$bezieh=$rowg["beziehungsart"];		
 			if (!$bezieh == "" ) {
+				$gmllag=$rowg["beziehung_zu"];
 				switch ($bezieh) {
 					case "hat":			// *P*seudonummer
-						echo "\n\t\t<a title='Lagebezeichnung' href='alkislage.php?gkz=".$gkz."&amp;gmlid=".$rowg["beziehung_zu"]."&amp;ltyp=p'>lfd-Nr</a>";
+						echo "\n\t\t<a title='Lagebezeichnung' href='alkislage.php?gkz=".$gkz."&amp;gmlid=".$gmllag;
+						if ($idanzeige) {echo "&amp;id=j";}
+						echo "&amp;ltyp=p'>lfd-Nr</a>";
 						break;
 					case "zeigtAuf":	// *M*it HausNr
-						echo "\n\t\t<a title='Lagebezeichnung' href='alkislage.php?gkz=".$gkz."&amp;gmlid=".$rowg["beziehung_zu"]."&amp;ltyp=m'>Haus-Nr</a>";
+						echo "\n\t\t<a title='Lagebezeichnung' href='alkislage.php?gkz=".$gkz."&amp;gmlid=".$gmllag;
+						if ($idanzeige) {echo "&amp;id=j";}
+						echo "&amp;ltyp=m'>Haus-Nr</a>";
 						break;
 					default:
Index: /trunk/var/www/info/alkis/alkislage.php
===================================================================
--- /trunk/var/www/info/alkis/alkislage.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkislage.php	(revision 60)
@@ -6,12 +6,12 @@
 
 	Version:
-		01.09.2010 Neu!
-		02.09.2010  Mit Icons
-		06.09.2010  </a> korrigiert, Kennzeichen-Rahmenfarbe, Schluessel anschaltbar
-		15.09.2010  Function "buchungsart" durch JOIN ersetzt
+	15.09.2010  Function "buchungsart" durch JOIN ersetzt
+	01.10.2010  Flaeche umgruppiert
+	14.12.2010  Pfad zur Conf
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -32,10 +32,9 @@
 	<link rel="shortcut icon" type="image/x-icon" href="ico/Lage_mit_Haus.ico">
 	<style type='text/css' media='print'>
-		.noprint { visibility: hidden;}
+		.noprint {visibility: hidden;}
 	</style>
 </head>
 <body>
 <?php
-$gkz=urldecode($_REQUEST["gkz"]);
 $gmlid=urldecode($_REQUEST["gmlid"]);
 $ltyp=urldecode($_REQUEST["ltyp"]); // 3 Arten Lage-Typ
@@ -67,6 +66,6 @@
 	$showkey=false;
 }
-$dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
 // Lagebezeichnung
@@ -125,4 +124,5 @@
 
 	switch ($ltyp) {
+
 		case "m": // "Mit HsNr"
 			$hsnr=$row["hausnummer"];
@@ -132,12 +132,15 @@
 			echo "<p class='lage'>ALKIS Lagebezeichnung mit Hausnummer ".$kennz."&nbsp;</p>\n"; // Balken
 		break;
+
 		case "p": // "mit PseudoNr"
 			$pseu=$row["pseudonummer"];
 			$lfd=$row["laufendenummer"];
 			$kennz.=$pseu."-".$lfd;
-			$untertitel="NebengebÃ€ude mit laufender Nummer";			
+			$untertitel="NebengebÃ€ude mit laufender Nummer (Lagebezeichnung mit Pseudonummer)";			
 			// Balken			
-			echo "<p class='lage'>ALKIS Lagebezeichnung mit Pseudonummer ".$kennz."&nbsp;</p>\n"; // Balken
-		break;
+		//	echo "<p class='lage'>ALKIS Lagebezeichnung mit Pseudonummer ".$kennz."&nbsp;</p>\n"; // Balken
+			echo "<p class='lage'>ALKIS Lagebezeichnung NebengebÃ€ude ".$kennz."&nbsp;</p>\n"; // Balken
+		break;
+
 		case "o": //"Ohne HsNr"
 			if ($lage == "") {
@@ -253,5 +256,5 @@
 		echo "\n\t<td class='head' title='Flurst&uuml;cksnummer (Z&auml;hler / Nenner)'>Flurst.</td>";
 		echo "\n\t<td class='head fla'>Fl&auml;che</td>";
-		echo "\n\t<td class='head nwlink' title='Link: weitere Auskunft'>weit. Auskunft</td>";
+		echo "\n\t<td class='head nwlink noprint' title='Link: weitere Auskunft'>weit. Auskunft</td>";
 	echo "\n</tr>";
 	$j=0;
@@ -358,5 +361,5 @@
 			break;
 	}
-	$sql ="SELECT g.gml_id, g.gebaeudefunktion, g.description, g.name, g.lagezurerdoberflaeche, g.bauweise, g.anzahlderoberirdischengeschosse, g.grundflaeche, g.individualname, g.zustand, ";
+	$sql ="SELECT g.gml_id, g.gebaeudefunktion, g.description, g.name, g.lagezurerdoberflaeche, g.bauweise, g.anzahlderoberirdischengeschosse AS aog, g.grundflaeche, g.individualname, g.zustand, ";
 	$sql.="round(area(g.wkb_geometry)::numeric,2) AS flaeche, h.bauweise_beschreibung, u.bezeichner ";
 	$sql.="FROM ax_gebaeude g ";
@@ -367,4 +370,5 @@
 	$sql.="AND   v.beziehungsart='".$bezart."' ;";
 	$res=pg_query($con,$sql);
+
 	if (!$res) echo "<p class='err'>Fehler bei Gebaeude.<br>".$sql."</p>\n";
 	$i=0;
@@ -374,5 +378,5 @@
 		echo "</p>";
 		echo "\n<table>";
-			echo "\n\t<tr><td>Geometrische Fl&auml;che:</td><td>".$row["flaeche"]." m&#178;</td></tr>";			
+
 			echo "\n\t<tr><td>Funktion:</td><td>";
 			if ($showkey) {
@@ -380,13 +384,17 @@
 			}
 			echo $row["bezeichner"]."</td></tr>"; // integer
+
 			if (!$row["description"] == "") {
 				echo "\n\t<tr><td>Beschreibung:</td><td>".$row["description"]."</td></tr>"; // integer - EntschlÃŒsseln!
 			}			
+
 			if (!$row["name"] == "") {
 				echo "\n\t<tr><td>Name:</td><td>".$row["name"]."</td></tr>"; // char(25)
 			}
+
 			if (!$row["lagezurerdoberflaeche"] == "") {
 				echo "\n\t<tr><td>Lage zur Erdoberfl&auml;che:</td><td>".$row["lagezurerdoberflaeche"]."</td></tr>";
 			} // integer - EntschlÃŒsseln!
+
 			if (!$row["bauweise"] == "") {
 				echo "\n\t<tr><td>Bauweise:</td><td>";
@@ -396,16 +404,23 @@
 				echo $row["bauweise_beschreibung"]."</td></tr>"; // integer
 			}			
-			if (!$row["anzahlderoberirdischengeschosse"] == "") {
-				echo "\n\t<tr><td>Anz. der oberird. Geschosse:</td><td>".$row["anzahlderoberirdischengeschosse"]."</td></tr>"; //
+
+			if (!$row["aog"] == "") {
+				echo "\n\t<tr><td>Anz. der oberird. Geschosse:</td><td>".$row["aog"]."</td></tr>"; //
 			}				
+
 			if (!$row["grundflaeche"] == "") {
-				echo "\n\t<tr><td>Grundfl&auml;che:</td><td>".$row["grundflaeche"]."</td></tr>"; // integer
-			}
+				echo "\n\t<tr><td>Grundfl&auml;che:</td><td title='Buchfl&auml;che'>".$row["grundflaeche"]."</td></tr>"; // integer
+			}
+
+			echo "\n\t<tr><td>Geometrische Fl&auml;che:</td><td title='berechnete Fl&auml;che'>".$row["flaeche"]." m&#178;</td></tr>";
+
 			if (!$row["individualname"] == "") {			
 				echo "\n\t<tr><td>Individualname:</td><td>".$row["individualname"]."</td></tr>"; // char(7)
 			}
+
 			if (!$row["zustand"] == "") {
 				echo "\n\t<tr><td>Zustand:</td><td>".$row["zustand"]."</td></tr>"; // integer
 			}		
+
 		echo "\n</table>";
 	}
Index: /trunk/var/www/info/alkis/alkis_conf_location.php
===================================================================
--- /trunk/var/www/info/alkis/alkis_conf_location.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkis_conf_location.php	(revision 60)
@@ -1,3 +1,15 @@
 <?php
-require_once("/data/conf/alkis_www_conf.php");
+/*	ALKIS-Buchauskunft, Kommunales Rechenzentrum Minden-Ravensberg/Lippe (Lemgo).
+	Pfad zur Konfigurationsdatei der ALKIS-Auskunft.
+	Die Conf-Datei sollte aus SicherheitsgrÃŒnden nicht unterhalb des Web-Root-Verzeichnisses liegen.
+
+	Version:
+	14.12.2010 zentrale Anpassung des Pfades
+*/
+# relativ:
+#require_once(dirname(__FILE__)."/../../../../conf/alkis_www_conf.php");
+#
+# absolut:
+#  Hier: Entwicklungs-Version
+require_once("/data/conf/alkis_entw_conf.php");
 ?>
Index: /trunk/var/www/info/alkis/alkisfsnw.php
===================================================================
--- /trunk/var/www/info/alkis/alkisfsnw.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisfsnw.php	(revision 60)
@@ -6,11 +6,8 @@
 
 	Version:
-	31.08.2010	$style=ALKIS entfernt, alles Kompakt
-	02.09.2010  Mit Icons
-	07.09.2010  Kennzeichen-Rahmen f. fiktives Blatt, Schluessel anschaltbar
-	15.09.2010  Function "buchungsart" durch JOIN ersetzt
 	30.09.2010  noprint
 	09.11.2010  Nutzung, ehem. php-Functions hier integriert
-	10.11.2010  Felder nutzung.zustand und nutzung.name 
+	10.11.2010  Felder nutzung.zustand und nutzung.name
+	14.12.2010  Pfad zur Conf
 
 	ToDo: 
@@ -19,5 +16,6 @@
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	// Bindung an Mapbender-Authentifizierung
@@ -43,5 +41,4 @@
 <body>
 <?php
-$gkz=urldecode($_REQUEST["gkz"]);
 $gmlid=urldecode($_REQUEST["gmlid"]);
 $eig=urldecode($_REQUEST["eig"]);
@@ -60,7 +57,6 @@
 	$showkey=false;
 }
-
-$dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
 
 // F L U R S T U E C K
Index: /trunk/var/www/info/alkis/alkisauszug.css
===================================================================
--- /trunk/var/www/info/alkis/alkisauszug.css	(revision 59)
+++ /trunk/var/www/info/alkis/alkisauszug.css	(revision 60)
@@ -3,7 +3,4 @@
 
 	Version:
-	31.08.2010	Prototyp
-	02.09.2010  Mit img
-	06.09.2010  Kennzeichen-Rahmenfarben differenziert
 	21.09.2010  Inlay
 	30.09.2010  body-width bei Print
@@ -66,5 +63,5 @@
 span.key 		{color: gray; font-style: italic;} /* Schluesselwert vor Text, Wert zurueck nehmen */
 span.wichtig	{color: #BB0000; font-weight: bold;} /* Wert hervorheben */
-span.flae		{font-weight: bold;} /* FlÃ€chensume Flurst. */
+span.flae		{font-weight: bold;} /* FlÃÂ€chensume Flurst. */
 
 /* ** T a b e l l e n ** */
Index: /trunk/var/www/info/alkis/alkisfkt.php
===================================================================
--- /trunk/var/www/info/alkis/alkisfkt.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisfkt.php	(revision 60)
@@ -5,9 +5,7 @@
 
 	Version:
-		31.08.2010	$style=ALKIS entfernt, link zu alkislage.php
-		02.09.2010  mit Icons
-		07.09.2010  Schluessel anschaltbar
-		15.09.2010  Function "buchungsart" durch JOIN ersetzt
-		09.11.2010  Functions, die nur einmal aufgerufen wurden, sequentiell in FS-Nachw. integriert
+	07.09.2010  Schluessel anschaltbar
+	15.09.2010  Function "buchungsart" durch JOIN ersetzt
+	09.11.2010  Functions, die nur einmal aufgerufen wurden, sequentiell in FS-Nachw. integriert
 */
 
Index: /trunk/var/www/info/alkis/alkisinlaybaurecht.php
===================================================================
--- /trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 59)
+++ /trunk/var/www/info/alkis/alkisinlaybaurecht.php	(revision 60)
@@ -6,9 +6,11 @@
 	21.09.2010  Neu
 	22.09.2010  Feintuning, sql-Limit
-	11.10.2010  simplify Geometrie: Schwellwert Verschneidung FlÃ€che>0 anpassen
+	11.10.2010  simplify Geometrie: Schwellwert Verschneidung Flaeche>0 anpassen
+	14.12.2010  Pfad zur Conf
 */
 ini_set('error_reporting', 'E_ALL & ~ E_NOTICE');
 session_start();
-require_once("/data/conf/alkis_www_conf.php");
+$gkz=urldecode($_REQUEST["gkz"]);
+require_once("alkis_conf_location.php");
 if ($auth == "mapbender") {
 	require_once($mapbender);
@@ -31,8 +33,8 @@
 
 <?php
-$gkz=urldecode($_REQUEST["gkz"]);
 $gmlid=urldecode($_REQUEST["gmlid"]);
-$dbname = 'alkis05' . $gkz;
 $con = pg_connect("host=".$dbhost." port=" .$dbport." dbname=".$dbname." user=".$dbuser." password=".$dbpass);
+if (!$con) echo "<p class='err'>Fehler beim Verbinden der DB</p>\n";
+
 // wie View "baurecht"
 $sql ="SELECT r.ogc_fid,  r.artderfestlegung as adfkey, r.name, r.stelle, r.bezeichnung AS rechtbez, ";
Index: /trunk/data/konvert/postnas_0.5/rlp_demo_nas_konvert.sh
===================================================================
--- /trunk/data/konvert/postnas_0.5/rlp_demo_nas_konvert.sh	(revision 59)
+++ /trunk/data/konvert/postnas_0.5/rlp_demo_nas_konvert.sh	(revision 60)
@@ -24,5 +24,6 @@
 #	/data/konvert/nas_daten/rlp/gm2566-testdaten-gid60-2008-11-11.xml
 #
-echo "** Optimierte Nutzungsarten neu Laden:"
+echo "** Optimierte Tabellen neu Laden:"
 psql -p 5432 -d alkis05rlpneu -U b600352 < /data/konvert/postnas_0.5/alkis_nutzungsart_laden.sql
+psql -p 5432 -d alkis05rlpneu -U b600352 < /data/konvert/postnas_0.5/alkis_gemeinden_laden.sql
 #
Index: /trunk/data/konvert/postnas_0.5/alkis_konvertierungs_stapel.sh
===================================================================
--- /trunk/data/konvert/postnas_0.5/alkis_konvertierungs_stapel.sh	(revision 60)
+++ /trunk/data/konvert/postnas_0.5/alkis_konvertierungs_stapel.sh	(revision 60)
@@ -0,0 +1,29 @@
+#!/bin/sh
+## Konvertierung von ALKIS NAS-Format nach PosGIS
+##
+## Beispiel:
+##
+##   Eine Datenbank komplett neu Laden. 
+##   Der Stapel besteht aus Erstladen (e) und mehreren NBA-Aktualisierungen (a).
+##   Der Dialog-Teil wird umgangen, die benötigten Parameter werden gleich mitgegeben. 
+##
+# altes Protokoll loeschen
+  echo "** Konvertierung ALKIS **" | /data/konvert/postnas_0.5/log/postnas_err.prot
+  echo "** Aktualisierung Muster-Gemeinde **"
+# cd /data/konvert/postnas_0.5/
+##                                               Ordner                             Datenbank      User      Passw.  Erst/Aktualisierung
+## E r s t l a d e n:
+##
+  /data/konvert/postnas_0.5/alkis_konv_batch.sh "/data/konvert/nas_daten/150/0001" "alkis05150neu" "MyUser" "geheim" "e"
+##
+## A k t u a l i s i e r u n g e n:
+##
+  /data/konvert/postnas_0.5/alkis_konv_batch.sh "/data/konvert/nas_daten/150/0002" "alkis05150neu" "MyUser" "geheim" "a"
+  /data/konvert/postnas_0.5/alkis_konv_batch.sh "/data/konvert/nas_daten/150/0003" "alkis05150neu" "MyUser" "geheim" "a"
+  /data/konvert/postnas_0.5/alkis_konv_batch.sh "/data/konvert/nas_daten/150/0004" "alkis05150neu" "MyUser" "geheim" "a"
+  /data/konvert/postnas_0.5/alkis_konv_batch.sh "/data/konvert/nas_daten/150/0005" "alkis05150neu" "MyUser" "geheim" "a"
+  /data/konvert/postnas_0.5/alkis_konv_batch.sh "/data/konvert/nas_daten/150/0006" "alkis05150neu" "MyUser" "geheim" "a"
+  /data/konvert/postnas_0.5/alkis_konv_batch.sh "/data/konvert/nas_daten/150/0007" "alkis05150neu" "MyUser" "geheim" "a"
+#
+  echo "** Ende Muster-Gemeinde **"
+##
Index: /trunk/data/konvert/postnas_0.5/alkis_konv_batch.sh
===================================================================
--- /trunk/data/konvert/postnas_0.5/alkis_konv_batch.sh	(revision 59)
+++ /trunk/data/konvert/postnas_0.5/alkis_konv_batch.sh	(revision 60)
@@ -11,4 +11,5 @@
 ##  2010-10-14  gdal 1.8 compile aus svn gdal-trunk
 ##  2010-11-10  Tabellen "Optimierte Nutzungsarten" Laden
+##  2010-11-25  Tabelle  "Optimierte Gemeinden"     Laden
 ## 
 ## Konverter:   /opt/gdal-1.8/bin/ = GDAL 1.8 / PostNAS 0.5
@@ -25,6 +26,9 @@
 DBPASS=$4
 UPD=$5
+##
 ## Fehlerprotokoll
 errprot='/data/konvert/postnas_0.5/log/postnas_err.prot'
+## ! Bei parallelen Konvertierungen sollte die Ausgabe in getrennte Logfiles ausgegeben werden.
+## ! Ggf. die Start-Zeit in den Namen einbauen?
 ##
 if [ $ORDNER = "" ]
@@ -92,2 +96,5 @@
   psql -p 5432 -d ${DBNAME}  -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_nutzungsart_laden.sql
 ##
+  echo "** Optimierte Gemeindetabelle neu Laden:"
+  psql -p 5432 -d ${DBNAME}  -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_gemeinden_laden.sql
+##
Index: /trunk/data/konvert/postnas_0.5/alkis_datenbank_anlegen.sh
===================================================================
--- /trunk/data/konvert/postnas_0.5/alkis_datenbank_anlegen.sh	(revision 59)
+++ /trunk/data/konvert/postnas_0.5/alkis_datenbank_anlegen.sh	(revision 60)
@@ -11,4 +11,5 @@
 ##             Grant von Views getrennt
 ##  2010-11-10 Nutzungsarten
+##  2010-11-25 Gemeinden
 ##
 ## Dialog mit Anwender
@@ -89,4 +90,9 @@
 psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_nutzungsart_metadaten.sql
 ##
+echo "** Anlegen Optimierung Gemeinden"
+##
+## Anlegen der Tabellen
+psql $con -U ${DBUSER}  < /data/konvert/postnas_0.5/alkis_gemeinden_definition.sql
+##
 echo " "
 echo "** Definition von Views"
Index: /trunk/data/konvert/postnas_0.5/alkis_sichten.sql
===================================================================
--- /trunk/data/konvert/postnas_0.5/alkis_sichten.sql	(revision 59)
+++ /trunk/data/konvert/postnas_0.5/alkis_sichten.sql	(revision 60)
@@ -12,5 +12,5 @@
 --   14.06.2010  F.J. GRANT entfernt
 --   24.09.2010  F.J. "s_flurstueck_nr" ersetzt "s_flurstuecksnummer_flurstueck" (Bruchnummer)
-
+--   01.12.2010  F.J. Gemeinde/Gemarkung
 
 --   Verbindungen werden seit PostNAS 0.5 nicht mehr nachtrÃ€glich mit einem Script generiert
@@ -289,4 +289,36 @@
 
 
+-- Man glaubt es kaum, aber im ALKIS haben Gemeinde und Gemarkung keinerlei Beziehung miteinander
+-- Nur durch Auswertung der FlurstÃŒcke kann man ermitteln, in welcher Gemeinde eine Gemarkung liegt.
+
+CREATE VIEW gemeinde_in_gemarkung
+AS
+  SELECT DISTINCT land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
+  FROM            ax_flurstueck
+  ORDER BY        land, regierungsbezirk, kreis, gemeinde, gemarkungsnummer
+;
+
+COMMENT ON VIEW gemeinde_in_gemarkung IS 'Welche Gemarkung liegt in welcher Gemeinde? Durch Verweise aus FlurstÃŒck.';
+
+
+-- Untersuchen, welche Geometrie-Typen vorkommen
+
+CREATE VIEW arten_von_flurstuecksgeometrie
+AS
+ SELECT   count(gml_id) as anzahl,
+          st_geometrytype(wkb_geometry)
+ FROM     ax_flurstueck
+ GROUP BY st_geometrytype(wkb_geometry);
+
+-- Lage
+--   256 ST_MultiPolygon
+-- 23377 ST_Polygon
+
+-- RLP
+--    2 ST_MultiPolygon
+-- 2367 ST_Polygon
+
+
+
 -- END --
 
Index: /trunk/data/mapbender/http/nav/blank_grd.html
===================================================================
--- /trunk/data/mapbender/http/nav/blank_grd.html	(revision 60)
+++ /trunk/data/mapbender/http/nav/blank_grd.html	(revision 60)
@@ -0,0 +1,17 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Grundbuchblatt in ALKIS:<br><br>
+Dieser Programmteil ist noch nicht realisiert!<br><br>
+Geplant ist:<br><br>
+Schritt 1: Auswahl Amtsgericht<br><br>
+Schritt 2: Auswahl Grundbuch-Bezirk<br><br>
+Schritt 3: Auswahl Grundbuch-Blatt<br><br>
+Schritt 4: Auswahl Flurst&uuml;ck</p>
+</body>
+</html>
Index: /trunk/data/mapbender/http/nav/blank_eig.html
===================================================================
--- /trunk/data/mapbender/http/nav/blank_eig.html	(revision 60)
+++ /trunk/data/mapbender/http/nav/blank_eig.html	(revision 60)
@@ -0,0 +1,16 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Eigent&uuml;mern in ALKIS:<br><br>
+Schritt 1: Anfang des Nachnamens eingeben<br>
+oder Suche nach Namensbestandteilen mit Platzhalter "*", z.B. "*meier"<br><br>
+Schritt 2: Auswahl Person<br><br>
+Schritt 3: Auswahl Grundbuch-Blatt<br><br>
+Schritt 4: Auswahl Flurst&uuml;ck</p>
+</body>
+</html>
Index: /trunk/data/mapbender/http/nav/blank_fls.html
===================================================================
--- /trunk/data/mapbender/http/nav/blank_fls.html	(revision 60)
+++ /trunk/data/mapbender/http/nav/blank_fls.html	(revision 60)
@@ -0,0 +1,18 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Flurst&uuml;ckskennzeichen:<br><br>
+Dieser Programmteil ist bisher erst teilweise realisiert!<br><br>
+M&ouml;gliche Eingaben:<br><br>
+Anfang oder Teil des Gemarkungsnamens<br>
+Flur gggg-fff<br>
+Flurst&uuml;ck gggg-fff-zzzzz<br>
+Flurst. mit Bruchnummer gggg-fff-zzzzz/nnn<br><br>
+Wobei:<br>gggg = Gemarkungsnummer<br>fff = Flurnummer<br>zzzzz = Z&auml;hler<br>nnn = Nenner</p>
+</body>
+</html>
Index: /trunk/data/mapbender/http/nav/alkisnav.css
===================================================================
--- /trunk/data/mapbender/http/nav/alkisnav.css	(revision 60)
+++ /trunk/data/mapbender/http/nav/alkisnav.css	(revision 60)
@@ -0,0 +1,97 @@
+/* Style fuer ALKIS-Navigation 
+	Vers. 2010-11-23
+*/
+body,p,a,.textfield,.sbutton,.cityText,.streetText,.city {font-family: Verdana, Arial, Helvetica, sans-serif;}
+body		{	font-size: 11px; color: #000000; margin: 0px;}
+
+p			{font-size: 10px;}
+p.hilfe 	{font-size: 9px; text-align: right; color: gray;} /* Programmier-Hilfsfelder */
+p.start 	{font-size: 9px; color: gray;}
+p.nam		{font-size: 10px; border: 1px solid navy; padding: 3px; margin: 0px;}
+p.err		{font-size: 11px; color: red;}
+
+a {font-size: 11px; text-decoration: none; margin: 0px;}
+/*	a:link 	{color: #000000;} a:visited{color: #000000;} */
+	a:hover	{color: red;}
+	a:active	{color: red;}
+
+/* abgestufte Treffer in Suche */
+div			{margin: 0px; padding: 0px;}
+div.back 	{font-size: 10px; color: gray; border-bottom: 1px dotted gray;}
+div.nam		{color: maroon;} /* Name */
+div.gb		{color: green;  margin-left: 6px;} /* Grundbuch */
+div.gk		{color: black;  margin-left: 0px; margin-top: 6px;} /* Gemarkung */
+div.fl		{color: olive;  margin-left: 6px; margin-top: 4px;} /* Flur */
+div.fs		{color: navy;   margin-left: 12px; margin-top: 0px;} /* Flurstueck */
+div.st		{color: maroon;}
+
+td.hsnr {text-align: center; margin: 2px;}
+hr {color: gray;}
+
+.textfield{
+	border: 1px solid #990000;
+	height: 20px;
+	width: 140px;
+	background: #FFFFFF;
+}
+.sbutton{font-size: 11px;
+	font-weight: normal;
+	border: solid thin;
+	width: 22px;
+	height: 20px;
+	background: #6699FF;
+}
+img.nwlink	{border: 0px; margin: 0px; padding: 0px;} /* Icons */
+.letter		{cursor: pointer; font-weight: bold;}
+.cityText	{color: black;}
+.streetText	{color: #6699FF; font-size: 13px; font-weight: bold;}
+
+/* Registertabs */
+/* ul in einem <div id='tabs' */
+div#tabs ul {
+	position: absolute; top: 0px;
+	margin-top: 0px;	
+	margin-left: 0px;
+	margin-bottom: 20px;
+	padding: 0px;
+	width: 220px;
+	text-align: left;
+	border:0px dashed #00aa00;
+}
+div#tabs li {
+	cursor: pointer;
+	list-style: none; /* Eintraege NEBENeinander */
+	float: left;
+	text-align: center;
+	background-color: #F9F9F9;
+	border: 1px solid #CCD5DE;
+	border-bottom-width: 1px;
+	vertical-align: text-bottom;
+	position: relative;
+	background-image: url(./img/tab_bg_grau.gif); /* inaktive Tabs grau */
+	background-repeat: repeat-x;
+	background-position: top left;
+	margin: 0 3px 0 0;
+	padding: 2px;
+}
+div#tabs li.aktiveTab {
+	background-image: url(./img/tab_bg_rot.gif);  /* aktive Tabs rot */
+	background-color: #F9F9F9;
+	border-bottom-color: #F9F9F9; /* nicht sichtbar, wie Hintergrund */
+}
+
+/* passt in Mapbender 2.5: tabs width=280, tab_frameHeight[n]=360 */
+iframe.OuterFrame{
+	width: 260px; height: 330px; 
+	padding: 0px; margin: 0px;
+	border:0px dotted #ff0000;
+	overflow: hidden;
+	background-color: white;
+}
+form.nav {position: absolute; top: 22px;}
+iframe.ResultFrame {
+	position: absolute; top: 78px;
+	width: 235px; height: 220px;
+	padding: 0px; margin: 0px;
+	border:0px dotted #00ff00;
+}
Index: /trunk/data/mapbender/http/nav/alkisnav.htm
===================================================================
--- /trunk/data/mapbender/http/nav/alkisnav.htm	(revision 60)
+++ /trunk/data/mapbender/http/nav/alkisnav.htm	(revision 60)
@@ -0,0 +1,40 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<script type="text/javascript" language="JavaScript">
+		function showHighlight(x,y){
+			parent.mb_showHighlight("mapframe1",x,y);
+			parent.mb_showHighlight("overview",x,y);
+		}
+		function hideHighlight(){
+			parent.mb_hideHighlight("mapframe1");
+			parent.mb_hideHighlight("overview");
+		}
+		function validate(){
+			if(document.forms[0].street.value.length < 1) {return false;}
+			else {return true;}
+		}
+		// Parameter fuer Mandant aus url lesen
+		// &gkz=150&gemeinde=40&test=ja
+		var parms = location.search.split("&");    // 0: "?gkz=150" 1: "gemeinde=40" 2: "test=ja"		
+		var arr = parms[0].split("=", 2); // 0: "?gkz"  1: "150"
+		var gkz = "000";
+		if(arr[0] == "?gkz") {gkz = arr[1];}
+		var arr = parms[1].split("=", 2)
+		var gem = "0";
+		if(arr[0] == "gemeinde") {gem = arr[1];}
+	</script>
+	<title>ALKIS-Suche</title>
+</head>
+<body>
+
+<script type="text/javascript" language="JavaScript">
+	document.writeln("<!-- gkz=" + gkz + " gemeinde=" + gem + "-->");	
+	// Rahmen mit Form und ResultFrame
+	document.writeln("<iframe frameborder='0' name='OuterFrame' src='alkisnav_eig.htm?gkz=" + gkz + "&gemeinde=" + gem + "' class='OuterFrame' scrolling='auto'></iframe>");
+</script>
+
+</body>
+</html>
Index: /trunk/data/mapbender/http/nav/blank_adr.html
===================================================================
--- /trunk/data/mapbender/http/nav/blank_adr.html	(revision 60)
+++ /trunk/data/mapbender/http/nav/blank_adr.html	(revision 60)
@@ -0,0 +1,15 @@
+<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
+<html>
+<head>
+	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
+	<link rel="stylesheet" type="text/css" href="alkisnav.css">
+	<title></title>
+</head>
+<body>
+<p class='start'>Suche nach Geb&auml;ude-Adressen in ALKIS:<br><br>
+Schritt 1:<br>Anfang des Stra&szlig;ennamens eingeben<br>oder Mausklick auf einen Anfangsbuchstaben<br>
+oder Suche nach Namensbestandteilen mit Platzhalter "*", z.B. "*kamp"<br><br>
+Schritt 2:<br>Auswahl Stra&szlig;enname<br><br>
+Schritt 3:<br>Auswahl Hausnummer</p>
+</body>
+</html>
